
Infrastructure - Task #2642

Story # 2395 (Closed): Prepare GMN Installation for public release

Try installing GMN according to the setup instructions

2012-04-23 20:26 - Roger Dahl

Status: In Progress Start date: 2012-04-23

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 30%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2012.19-Block.3.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Try installing GMN according to the setup instructions. Create tickets against the instructions for any issues.

History

#1 - 2012-04-23 23:46 - Andrew Pippin

Comment -

In step #2, it is going through modifying the @AllowEncodedSlashes@ and @AcceptPathInfo@.  However, the example script also shows that the

SSL certificates have been changed.  But this hasn't been discussed yet.

#2 - 2012-04-26 16:00 - Andrew Pippin

Link to documentation:  https://repository.dataone.org/software/cicore/trunk/mn/d1_mn_generic/doc/build/html/index.html

#3 - 2012-04-26 18:33 - Andrew Pippin

Latest version of Django is 1.4:  http://www.djangoproject.com/download/1.4/tarball/

#4 - 2012-04-26 21:42 - Andrew Pippin

Make sure libssl-dev in installed before trying to extract certificates.  The header files aren't included in the openssl package. 

#5 - 2012-04-26 23:35 - Andrew Pippin

Changes to https://repository.dataone.org/software/cicore/trunk/mn/d1_mn_generic/doc/build/html/setup-d1-gmn.html

Download GMN:

Unless the @/var/local/dataone@ directory is chown'd, you will need to run the checkout as root.

Configure GMN:

Now it is necessary to copy the template over and modify that.

  @sudo su -@

  @cd /var/local/dataone/gmn/src/service@

  @cp settings_site_template.py settings_site.py@

Initialize database:

The script needs write privileges in the service directory to write the log.  
#6 - 2012-04-26 23:50 - Andrew Pippin

- Status changed from New to In Progress

- % Done changed from 0 to 70

Have gone through all but the registration step.  Roger is documenting that further.

#7 - 2012-05-07 16:41 - Andrew Pippin

- Status changed from In Progress to Closed

Stopped at the certificate exchange.

#8 - 2012-06-22 16:57 - Andrew Pippin

- % Done changed from 70 to 50

- Target version changed from Sprint-2012.19-Block.3.2 to Sprint-2012.25-Block.4.1

- Status changed from Closed to In Progress

Reopen to validate with released version.

#9 - 2012-06-27 22:30 - Andrew Pippin

For setup-d1-client.html:

1.1.2:

sudo easy_install Common_ClientLib

#10 - 2012-06-28 18:33 - Andrew Pippin

Reskinned documentation to use DataONE theme.

#11 - 2012-06-29 18:25 - Andrew Pippin

Stopped at installing the certificate.

#12 - 2012-07-04 00:32 - Andrew Pippin

Assigned to Derik.

#13 - 2012-07-06 16:25 - Andrew Pippin

- Target version changed from Sprint-2012.19-Block.3.2 to Sprint-2012.27-Block.4.2
